Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Public Attributes | Static Public Attributes | Static Private Attributes | List of all members
wowf.models.pivot_tables.UserNotification Class Reference

Pivot table between users and the notifications they should receive. More...

Inheritance diagram for wowf.models.pivot_tables.UserNotification:
Collaboration diagram for wowf.models.pivot_tables.UserNotification:

## Public Member Functions
def | confirm
Public Member Functions inherited from wowf.models.meta.Base
def | __str__
def | __repr__
def | __unicode__
def | get_by_id
def | create
def | delete
Public Member Functions inherited from wowf.lib.fulltext.FulltextBase
def | index_type
def | index_id
def | index_data
def | add_index
| Add a fulltext index for this instance.
def | delete_index
| Delete the fulltext index for this instance.
def | update_index
| Update the fulltext index for this instance.

## Public Attributes
| is_confirmed

## Static Public Attributes
tuple | notification_id
tuple | user_id
tuple | is_confirmed = Column(Boolean, nullable=False, default=False)
Static Public Attributes inherited from wowf.models.meta.Base
tuple | query = DBSession.query_property()
Static Public Attributes inherited from wowf.lib.fulltext.FulltextBase
list | index_fields = []

## Static Private Attributes
string | __tablename__ = 'users_notifications'

## Detailed Description

Pivot table between users and the notifications they should receive.

Definition at line 59 of file pivot_tables.py.

## Member Function Documentation

def wowf.models.pivot_tables.UserNotification.confirm | ( |  | self | ) |

Definition at line 71 of file pivot_tables.py.

## Member Data Documentation

string wowf.models.pivot_tables.UserNotification.__tablename__ = 'users_notifications'
| static private

Definition at line 61 of file pivot_tables.py.

tuple wowf.models.pivot_tables.UserNotification.is_confirmed = Column(Boolean, nullable=False, default=False)
| static

Definition at line 69 of file pivot_tables.py.

wowf.models.pivot_tables.UserNotification.is_confirmed

Definition at line 72 of file pivot_tables.py.

tuple wowf.models.pivot_tables.UserNotification.notification_id
| static

Initial value:
Column(
Integer(unsigned=True),
ForeignKey('notifications.id', ondelete='cascade'),
primary_key=True, autoincrement=False)

Definition at line 62 of file pivot_tables.py.

tuple wowf.models.pivot_tables.UserNotification.user_id
| static

Initial value:
Column(
Integer(unsigned=True), ForeignKey('users.id', ondelete='cascade'),
primary_key=True, autoincrement=False)

Definition at line 66 of file pivot_tables.py.

The documentation for this class was generated from the following file:

- wowf/models/pivot_tables.py